# pub.solar homepage

This is the repository containing the code for https://pub.solar.

It is built using [lume](https://lume.land/) with JSX. To get started, make sure
you're loading all dependencies via `direnv`:

```
$ direnv allow
```

This will use nix shell to create an environment that has deno and lume
available.

To get a live development server, run

```
$ deno task serve
```

Unfortunately, hot module reloading is currently broken for JSX modules, so
you'll need to restart this process regularly during development.

## Updating Open Sans

To update the font files and CSS, run `google-font-downloader $FONT_CSS_URL`.
As "documentation" `flake.nix` shows the internals, and
`_includes/styles/typography.css` has a comment at the top that shows which
command was used to generate it.
